التحقق من الحالة بالمرجع
curl --request GET \
--url https://api.oneclickdz.com/v3/internet/check-ref/{ref} \
--header 'X-Access-Token: <api-key>'import requests
url = "https://api.oneclickdz.com/v3/internet/check-ref/{ref}"
headers = {"X-Access-Token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Access-Token': '<api-key>'}};
fetch('https://api.oneclickdz.com/v3/internet/check-ref/{ref}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
شحن الإنترنت
التحقق من الحالة بالمرجع
تحقق من حالة شحن الإنترنت باستخدام المرجع المخصص
GET
/
v3
/
internet
/
check-ref
/
{ref}
التحقق من الحالة بالمرجع
نظرة عامة
تتبع حالة شحن الإنترنت باستخدام مرجعك المخصص من طلب الإرسال.معاملات المسار
string
مطلوب
مرجعك المخصص من
/internet/sendالاستجابة
مطابق لـ التحقق بالمعرف. يعيد كائن الشحن مع الحالة وكود البطاقة (عند الاكتمال) وتفاصيل المعاملة.أمثلة
curl https://api.oneclickdz.com/v3/internet/check-ref/internet-order-001 \
-H "X-Access-Token: YOUR_API_KEY"
const ref = "internet-order-001";
const response = await fetch(
`https://api.oneclickdz.com/v3/internet/check-ref/${ref}`,
{ headers: { "X-Access-Token": "YOUR_API_KEY" } }
);
response = requests.get(
f'https://api.oneclickdz.com/v3/internet/check-ref/{ref}',
headers={'X-Access-Token': 'YOUR_API_KEY'}
)
<?php
$ref = 'internet-order-001';
$ch = curl_init("https://api.oneclickdz.com/v3/internet/check-ref/{$ref}");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, ['X-Access-Token: YOUR_API_KEY']);
$response = curl_exec($ch);
?>
روابط ذات صلة
التحقق بالمعرف
توثيق الحالة الكامل
⌘I

